AmericanCondition Class Reference

American exercise condition. More...

`#include <ql/methods/finitedifferences/americancondition.hpp>`

Inheritance diagram for AmericanCondition:
[legend]

## Public Member Functions

| AmericanCondition (const Array &intrinsicValues)
QL_DEPRECATED | AmericanCondition (Option::Type type, Real strike)
void | applyTo (Array &a, Time) const

## Detailed Description

American exercise condition.

## Constructor & Destructor Documentation

## AmericanCondition()

QL_DEPRECATED AmericanCondition | ( | Option::Type | type,
|  | Real | strike
| ) |  |

Deprecated:
  Use the other constructor. Deprecated in version 1.19.